Bug 247546 - x11/plasma5-plasma-desktop: Cant edit window rule profile
Summary: x11/plasma5-plasma-desktop: Cant edit window rule profile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-25 19:09 UTC by Alexander Vereeken
Modified: 2020-06-27 10:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2020-06-25 19:09:38 UTC
When I create a new profile under "window rules" i cannot edit it, the section with all the settings simply does not open.

Using FreeBSD 12.1-STABLE
Comment 1 Alexander Vereeken 2020-06-25 19:18:52 UTC
This gets displayed in the console if i click on the edit icon: 

QQmlComponent: Component is not ready
"file:///usr/local/share/kpackage/kcms/kcm_kwinrules/contents/ui/RulesEditor.qml" 
 "Error loading QML file.\n26: module \"org.kde.kitemmodels\" is not installed\n"
QCoreApplication::postEvent: Unexpected null receiver
Comment 2 Adriaan de Groot freebsd_committer 2020-06-26 19:13:20 UTC
I just fixed that missing component in kf5-kitemmodels, please update to kf5-kitemmodels-5.71.0_1
Comment 3 Alexander Vereeken 2020-06-27 10:38:55 UTC
Fixed, thank you!